Package weka.gui.beans

# Class PluginManager

java.lang.Object
weka.gui.beans.PluginManager

@Deprecated public class PluginManager extends Object
Deprecated.
Use weka.core.PluginManager instead
Class that manages a global map of plugins. The knowledge flow uses this to manage plugins other than step components and perspectives. Is general purpose, so can be used by other Weka components. Provides static methods for registering and instantiating plugins.

Version:
  $Revision: 12407 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginManager()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addFromProperties(File propsFile)`
  Deprecated.
  Add all key value pairs from the supplied property file
  `static void`
  `addFromProperties(File propsFile, boolean maintainInsertionOrder)`
  Deprecated.
  Add all key value pairs from the supplied property file
  `static void`
  `addFromProperties(InputStream propsStream)`
  Deprecated.
  Add all key value pairs from the supplied properties stream
  `static void`
  `addFromProperties(InputStream propsStream, boolean maintainInsertionOrder)`
  Deprecated.
  Add all key value pairs from the supplied properties stream
  `static void`
  `addFromProperties(Properties props)`
  Deprecated.
  Add all key value pairs from the supplied properties object
  `static void`
  `addFromProperties(Properties props, boolean maintainInsertionOrder)`
  Deprecated.
  Add all key value pairs from the supplied properties object
  `static void`
  `addPlugin(String interfaceName, String name, String concreteType)`
  Deprecated.
  Add a plugin.
  `static void`
  `addPlugin(String interfaceName, String name, String concreteType, boolean maintainInsertionOrder)`
  Deprecated.
  Add a plugin.
  `static void`
  `addPluginResource(String resourceGroupID, String resourceDescription, String resourcePath)`
  Deprecated.
  Add a resource.
  `static void`
  `addToDisabledList(String classname)`
  Deprecated.
  Add the supplied fully qualified class name to the list of disabled plugins
  `static void`
  `addToDisabledList(List<String> classnames)`
  Deprecated.
  Add the supplied list of fully qualified class names to the disabled list
  `static Object`
  `getPluginInstance(String interfaceType, String name)`
  Deprecated.
  Get an instance of a concrete implementation of a plugin type
  `static Set<String>`
  `getPluginNamesOfType(String interfaceName)`
  Deprecated.
  Get a set of names of plugins that implement the supplied interface.
  `static InputStream`
  `getPluginResourceAsStream(String resourceGroupID, String resourceDescription)`
  Deprecated.
  Get an input stream for a named resource under a given resource group ID.
  `static Map<String,String>`
  `getResourcesWithGroupID(String resourceGroupID)`
  Deprecated.
  Get a map of resources (description,path) registered under a given resource group ID.
  `static boolean`
  `isInDisabledList(String classname)`
  Deprecated.
  Returns true if the supplied fully qualified class name is in the disabled list
  `static int`
  `numResourcesForWithGroupID(String resourceGroupID)`
  Deprecated.
  Get the number of resources available under a given resource group ID.
  `static void`
  `removeFromDisabledList(String classname)`
  Deprecated.
  Remove the supplied fully qualified class name from the list of disabled plugins
  `static void`
  `removeFromDisabledList(List<String> classnames)`
  Deprecated.
  Remove the supplied list of fully qualified class names to the disabled list
  `static void`
  `removePlugin(String interfaceName, String name)`
  Deprecated.
  Remove a plugin.
  `static void`
  `removePlugins(String interfaceName, List<String> names)`
  Deprecated.
  Remove plugins of a specific type.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluginManager

    public PluginManager()
    Deprecated.

- ## Method Details

  - ### addToDisabledList

    public static void addToDisabledList(List<String> classnames)
    Deprecated.
    Add the supplied list of fully qualified class names to the disabled list
    Parameters:
      `classnames` - a list of class names to add

  - ### addToDisabledList

    public static void addToDisabledList(String classname)
    Deprecated.
    Add the supplied fully qualified class name to the list of disabled plugins
    Parameters:
      `classname` - the fully qualified name of a class to add

  - ### removeFromDisabledList

    public static void removeFromDisabledList(List<String> classnames)
    Deprecated.
    Remove the supplied list of fully qualified class names to the disabled list
    Parameters:
      `classnames` - a list of class names to remove

  - ### removeFromDisabledList

    public static void removeFromDisabledList(String classname)
    Deprecated.
    Remove the supplied fully qualified class name from the list of disabled plugins
    Parameters:
      `classname` - the fully qualified name of a class to remove

  - ### isInDisabledList

    public static boolean isInDisabledList(String classname)
    Deprecated.
    Returns true if the supplied fully qualified class name is in the disabled list
    Parameters:
      `classname` - the name of the class to check
    Returns:
      true if the supplied class name is in the disabled list

  - ### addFromProperties

    public static void addFromProperties(File propsFile) throws Exception
    Deprecated.
    Add all key value pairs from the supplied property file
    Parameters:
      `propsFile` - the properties file to add
    Throws:
      `Exception` - if a problem occurs

  - ### addFromProperties

    public static void addFromProperties(File propsFile, boolean maintainInsertionOrder) throws Exception
    Deprecated.
    Add all key value pairs from the supplied property file
    Parameters:
      `propsFile` - the properties file to add
      `maintainInsertionOrder` - true if the order of insertion of implementations is to be preserved (rather than sorted order)
    Throws:
      `Exception` - if a problem occurs

  - ### addFromProperties

    public static void addFromProperties(InputStream propsStream) throws Exception
    Deprecated.
    Add all key value pairs from the supplied properties stream
    Parameters:
      `propsStream` - an input stream to a properties file
    Throws:
      `Exception` - if a problem occurs

  - ### addFromProperties

    public static void addFromProperties(InputStream propsStream, boolean maintainInsertionOrder) throws Exception
    Deprecated.
    Add all key value pairs from the supplied properties stream
    Parameters:
      `propsStream` - an input stream to a properties file
      `maintainInsertionOrder` - true if the order of insertion of implementations is to be preserved (rather than sorted order)
    Throws:
      `Exception` - if a problem occurs

  - ### addFromProperties

    public static void addFromProperties(Properties props) throws Exception
    Deprecated.
    Add all key value pairs from the supplied properties object
    Parameters:
      `props` - a Properties object
    Throws:
      `Exception` - if a problem occurs

  - ### addFromProperties

    public static void addFromProperties(Properties props, boolean maintainInsertionOrder) throws Exception
    Deprecated.
    Add all key value pairs from the supplied properties object
    Parameters:
      `props` - a Properties object
      `maintainInsertionOrder` - true if the order of insertion of implementations is to be preserved (rather than sorted order)
    Throws:
      `Exception` - if a problem occurs

  - ### addPluginResource

    public static void addPluginResource(String resourceGroupID, String resourceDescription, String resourcePath)
    Deprecated.
    Add a resource.
    Parameters:
      `resourceGroupID` - the ID of the group under which the resource should be stored
      `resourceDescription` - the description/ID of the resource
      `resourcePath` - the path to the resource

  - ### getPluginResourceAsStream

    public static InputStream getPluginResourceAsStream(String resourceGroupID, String resourceDescription) throws IOException
    Deprecated.
    Get an input stream for a named resource under a given resource group ID.
    Parameters:
      `resourceGroupID` - the group ID that the resource falls under
      `resourceDescription` - the description/ID of the resource
    Returns:
      an InputStream for the resource
    Throws:
      `IOException` - if the group ID or resource description/ID are not known to the PluginManager, or a problem occurs while trying to open an input stream

  - ### numResourcesForWithGroupID

    public static int numResourcesForWithGroupID(String resourceGroupID)
    Deprecated.
    Get the number of resources available under a given resource group ID.
    Parameters:
      `resourceGroupID` - the group ID of the resources
    Returns:
      the number of resources registered under the supplied group ID

  - ### getResourcesWithGroupID

    public static Map<String,String> getResourcesWithGroupID(String resourceGroupID)
    Deprecated.
    Get a map of resources (description,path) registered under a given resource group ID.
    Parameters:
      `resourceGroupID` - the group ID of the resources to get
    Returns:
      a map of resources registered under the supplied group ID, or null if the resourceGroupID is not known to the plugin manager

  - ### getPluginNamesOfType

    public static Set<String> getPluginNamesOfType(String interfaceName)
    Deprecated.
    Get a set of names of plugins that implement the supplied interface.
    Parameters:
      `interfaceName` - the fully qualified name of the interface to list plugins for
    Returns:
      a set of names of plugins

  - ### addPlugin

    public static void addPlugin(String interfaceName, String name, String concreteType)
    Deprecated.
    Add a plugin.
    Parameters:
      `interfaceName` - the fully qualified interface name that the plugin implements
      `name` - the name/short description of the plugin
      `concreteType` - the fully qualified class name of the actual concrete implementation

  - ### addPlugin

    public static void addPlugin(String interfaceName, String name, String concreteType, boolean maintainInsertionOrder)
    Deprecated.
    Add a plugin.
    Parameters:
      `interfaceName` - the fully qualified interface name that the plugin implements
      `name` - the name/short description of the plugin
      `concreteType` - the fully qualified class name of the actual concrete implementation
      `maintainInsertionOrder` - true if the order of insertion of implementations is to be preserved (rather than sorted order)

  - ### removePlugins

    public static void removePlugins(String interfaceName, List<String> names)
    Deprecated.
    Remove plugins of a specific type.
    Parameters:
      `interfaceName` - the fully qualified interface name that the plugins to be remove implement
      `names` - a list of named plugins to remove

  - ### removePlugin

    public static void removePlugin(String interfaceName, String name)
    Deprecated.
    Remove a plugin.
    Parameters:
      `interfaceName` - the fully qualified interface name that the plugin implements
      `name` - the name/short description of the plugin

  - ### getPluginInstance

    public static Object getPluginInstance(String interfaceType, String name) throws Exception
    Deprecated.
    Get an instance of a concrete implementation of a plugin type
    Parameters:
      `interfaceType` - the fully qualified interface name of the plugin type
      `name` - the name/short description of the plugin to get
    Returns:
      the concrete plugin or null if the plugin is disabled
    Throws:
      `Exception` - if the plugin can't be found or instantiated